.mock_main_area {
    padding: 0 0 100px;
}

/* 메인 배너 */
.mock_main_area .main_banner_wrap {
    position: relative;
    padding: 0 var(--global-margin);
    background: url('/_skin/pass_sidae_renew/mock_test/main_banner_bg.png') no-repeat center / auto 100%;
    z-index: 2;
}

.mock_main_area .main_banner_wrap .main_inner {
    position: relative;
    aspect-ratio: 1518/911;
}

.mock_main_area .main_banner_wrap .txt_wrap {
    padding-top: min(173px, 11.397vw);
    letter-spacing: -0.065em;
    font-family: 'market-l';
}

.mock_main_area .main_banner_wrap .txt_wrap h3 {
    line-height: 1.25;
    letter-spacing: -0.065em;
    font-size: min(7.5rem, 4.941vw);
    font-family: 'market-m';
}

.mock_main_area .main_banner_wrap .txt_wrap h2 {
    position: absolute;
    top: min(207px, 13.636vw);
    right: 0;
    line-height: 1.05;
    letter-spacing: -0.065em;
    font-family: 'market-b';
    font-size: min(11.5rem, 7.576vw);
}

.mock_main_area .main_banner_wrap .txt_wrap p {
    line-height: 1.4;
    margin-top: min(27px, 1.779vw);
    letter-spacing: -0.065em;
    font-size: min(3.1rem, 2.042vw);
}

.mock_main_area .main_banner_wrap .search_area {
    margin-top: min(83px, 5.468vw);
}

/* 배너 */
.mock_main_area .banner_wrap {
    padding: 74px var(--global-margin) 0;
}

.mock_main_area .banner_slide {
    position: relative;
    width: 100%;
    overflow: hidden;
}

.mock_main_area .banner_slide img {
    display: block;
    width: 100%;
}

.mock_main_area .banner_slide .btn_go {
    position: absolute;
    top: 4.1vw;
    right: 3.5vw;
    width: 15.415vw;
    height: 4.875vw;
}

/* 과정 선택 */
.mock_main_area .course_wrap {
    padding: 183px var(--global-margin) 0;
}

.mock_main_area .course_header {
    position: relative;
}

.mock_main_area .course_header .btn_reset {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 50%;
    right: 0;
    height: 44px;
    padding: 0 20px;
    transform: translateY(-50%);
    border: 2px solid #515151;
    border-radius: 44px;
    color: #515151;
    font-size: 1.8rem;
    font-family: 'spoqa3';
}

.mock_main_area .course_item_wrap {
    display: flex;
    gap: 40px;
    margin-top: 89px;
}

.mock_main_area .course_item {
    position: relative;
    flex: 0 1 auto;
    width: 305px;
    height: 548px;
    border: 2px solid #000;
    padding: 1px 0 10px;
    border-radius: 20px;
}

.mock_main_area .course_item:hover {
    border-color: #fe6363;
    box-shadow: 0 20px 49px 0 rgba(0, 0, 0, 0.17);
}

.mock_main_area .course_item_3 {
    flex: 1 0 305px;
}

.mock_main_area .item_header {
    position: relative;
}

.mock_main_area .item_header .btn_reset {
    display: none;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
    text-decoration: underline;
    text-underline-offset: min(3px, 0.391vw);
    color: #515151;
    font-size: min(2rem, 2.778vw);
    font-family: 'spoqa4';
}

.mock_main_area .course_item .course_title {
    display: block;
    margin: 0 24px;
    padding: 17px 0;
    border-bottom: 3px solid #000;
    text-align: center;
    letter-spacing: -0.01em;
    font-size: 2.2rem;
    font-family: 'spoqa4';
}

.mock_main_area .course_item:hover .course_title {
    color: #fe6363;
    border-color: #fe6363;
}

.mock_main_area .course_item .course_list {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 18px;
    height: calc(100% - 96px);
    padding: 26px 0;
    overflow-y: auto;
}

.mock_main_area .course_item_3 .course_list {
    gap: 10px;
    padding: 0;
    margin: 18px 26px 0 0;
}

.mock_main_area .course_item_3 .course_list::-webkit-scrollbar {
    width: 8px;
}

.mock_main_area .course_item_3 .course_list::-webkit-scrollbar-track {
    background-color: #e5e5e5;
    border-radius: 5px;
}

.mock_main_area .course_item_3 .course_list::-webkit-scrollbar-thumb {
    background-color: #b6b6b6;
    border-radius: 5px;
}

.mock_main_area .course_item .course_list button {
    display: block;
    position: relative;
    width: calc(100% - 38px);
    height: 46px;
    padding-left: 64px;
    border-radius: 46px;
    text-align: left;
    letter-spacing: -0.01em;
    color: #515151;
    font-size: 1.8rem;
    font-family: 'spoqa3';
    background: #f6f6f6;
}

.mock_main_area .course_item .course_list button:hover,
.mock_main_area .course_item .course_list button:focus,
.mock_main_area .course_item .course_list button.is_active {
    color: #fff;
    font-family: 'spoqa4';
    background: linear-gradient(to right, #fe6363, #fe8463);
    box-shadow: 0 6px 18px 0 rgba(253, 96, 96, 0.34);
}

.mock_main_area .course_item .course_list button::before {
    content: '';
    position: absolute;
    top: 2px;
    left: 18px;
    width: 43px;
    height: 43px;
    background: url('/_skin/pass_sidae_renew/common/icons.png') no-repeat 0 0;
}

.mock_main_area .course_item .course_list button:hover::before,
.mock_main_area .course_item .course_list button:focus::before,
.mock_main_area .course_item .course_list button.is_active::before {
    background-image: url('/_skin/pass_sidae_renew/common/icons_active.png');
}

.mock_main_area .course_item .course_list .course_1::before {
    background-position: 0 0;
}

.mock_main_area .course_item .course_list .course_004::before {
    background-position: 8% 0;
}

.mock_main_area .course_item .course_list .course_009::before {
    background-position: 16% 0;
}

.mock_main_area .course_item .course_list .course_003::before {
    background-position: 24% 0;
}

.mock_main_area .course_item .course_list .course_2::before {
    background-position: 32.4% 0;
}

.mock_main_area .course_item .course_list .course_012::before {
    background-position: 40% 0;
}

.mock_main_area .course_item .course_list .course_018::before {
    background-position: 47.5% 0;
}

.mock_main_area .course_item .course_list .course_3::before {
    background-position: 55% 0;
}

.mock_main_area .course_item .course_list .course_3_1::before {
    background-position: 79.4% 0;
}

.mock_main_area .course_item .course_list .course_017::before {
    background-position: 71% 0;
}

.mock_main_area .course_item .course_list .course_016::before {
    background-position: 79.4% 0;
}

.mock_main_area .course_item .course_list .course_016:hover::before,
.mock_main_area .course_item .course_list .course_016:focus::before,
.mock_main_area .course_item .course_list .course_016.is_active::before {
    background-position: 62.5% 0;
}

.mock_main_area .course_item .course_list .course_4::before {
    background-position: 86.5% 0;
}

.mock_main_area .course_item .course_list .course_015::before {
    background-position: 94% 0;
}

.mock_main_area .course_item .course_list .course_014::before {
    background-position: 101% 0;
}

.mock_main_area .course_item .course_list li {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: calc(100% - 74px);
}

.mock_main_area .course_item .course_list input {
    display: none;
}

.mock_main_area .course_item .course_list label {
    display: inline-flex;
    align-items: center;
    position: relative;
    height: 44px;
    padding: 0 50px 0 20px;
    border-radius: 44px;
    color: #515151;
    font-size: 1.8rem;
    font-family: 'spoqa3';
    cursor: pointer;
}

.mock_main_area .course_item .course_list label::after {
    content: '';
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
    width: 20px;
    height: 20px;
    border: 2px solid #c9c9c9;
    border-radius: 5px;
    background: #fff;
}

.mock_main_area .course_item .course_list input:checked + label::after {
    border-color: #fff;
    background: var(--colors-red-400) url('/_skin/pass_sidae_renew/common/icon_check_light.png') no-repeat center;
}

.mock_main_area .course_item .course_list p {
    padding-left: 20px;
    color: #fe6363;
    font-size: 1.5rem;
    font-family: 'spoqa3';
}

.mock_main_area .course_item .course_list label:hover,
.mock_main_area .course_item .course_list label:focus,
.mock_main_area .course_item .course_list input:checked + label {
    color: #fff;
    font-family: 'spoqa4';
    background: linear-gradient(to right, #fe6363, #fe8463);
    box-shadow: 0 6px 18px 0 rgba(253, 96, 96, 0.34);
}

/* 상품 목록 */
.mock_main_area .product_wrap {
    padding: 149px var(--global-margin) 0;
}

/* 상품 내역 */
#main_modal_details .modal_content {
    height: calc(80vh - 64px - 32px - 165px);
}

@media screen and (max-width: 1060px) {
    /* 상품 내역 */
    #main_modal_details .modal_content {
        height: calc(80vh - 64px - 32px - 240px);
    }
}

@media screen and (max-width: 1023px) {
    /* 과정 선택 */
    .mock_main_area .course_header .btn_reset {
        display: none;
    }

    .mock_main_area .course_item_wrap {
        flex-direction: column;
        gap: 0;
        margin-top: 68px;
    }

    .mock_main_area .course_item {
        width: 100%;
    }

    .mock_main_area .course_item:hover {
        border-color: inherit;
        box-shadow: none;
    }

    .mock_main_area .item_header .btn_reset {
        display: block;
    }

    .mock_main_area .course_item_1 {
        height: 73px;
        padding: 0 40px 1px;
        border-bottom: 0;
        border-radius: 20px 20px 0 0;
        background: #333;
    }

    .mock_main_area .course_item_1 .course_title {
        display: none;
    }

    .mock_main_area .course_item_1 .course_list {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        gap: 50px;
        height: 100%;
        overflow-y: hidden;
    }

    .mock_main_area .course_item_1 .course_list::-webkit-scrollbar {
        height: 8px;
    }

    .mock_main_area .course_item_1 .course_list::-webkit-scrollbar-track {
        background-color: #e5e5e5;
        border-radius: 5px;
    }

    .mock_main_area .course_item_1 .course_list::-webkit-scrollbar-thumb {
        background-color: #b6b6b6;
        border-radius: 5px;
    }

    .mock_main_area .course_item_1 .course_list button {
        width: auto;
        padding: 0;
        color: #888787;
        font-size: 2rem;
        font-family: 'spoqa4';
        background: transparent;
    }

    .mock_main_area .course_item_1 .course_list button:hover,
    .mock_main_area .course_item_1 .course_list button:focus,
    .mock_main_area .course_item_1 .course_list button.is_active {
        color: #fff;
        background: transparent;
        box-shadow: none;
    }

    .mock_main_area .course_item_1 .course_list button::before,
    .mock_main_area .course_item_1 .course_list button:hover::before,
    .mock_main_area .course_item_1 .course_list button:focus::before,
    .mock_main_area .course_item_1 .course_list button.is_active::before {
        display: none;
    }

    .mock_main_area .course_item_2 {
        height: auto;
        padding: 0;
        border-top: 0;
        border-radius: 0 0 20px 20px;
        background: #fff;
    }

    .mock_main_area .course_item_2 .course_title {
        display: none;
    }

    .mock_main_area .course_item_2 .course_list {
        display: flex;
        flex-direction: row;
        gap: 13px;
        padding: 28px 27px 25px;
    }

    .mock_main_area .course_item_2 .course_list button {
        width: auto;
        padding: 0 41px 0 63px;
    }

    .mock_main_area .course_item_3 {
        margin-top: 24px;
    }

    .mock_main_area .course_item_3 .course_list li {
        width: calc(100% - 54px);
    }

    .mock_main_area .product_wrap {
        padding: 71px var(--global-margin) 0;
    }

    .mock_main_area .course_item_wrap.is_fixed {
        padding-top: 176px;
    }

    .mock_main_area .course_item_wrap.is_fixed .course_item_1,
    .mock_main_area .course_item_wrap.is_fixed .course_item_2 {
        position: fixed;
        left: 0;
        margin: 0 var(--global-margin);
        width: calc(100% - 80px);
        z-index: var(--z-index-fixed);
    }

    .mock_main_area .course_item_wrap.is_fixed .course_item_1 {
        top: 126px;
    }

    .mock_main_area .course_item_wrap.is_fixed .course_item_2 {
        top: calc(126px + 73px);
    }
}

@media screen and (max-width: 767px) {
    .mock_main_area {
        padding: 0 0 13.889vw;
    }

    /* 메인 배너 */
    .mock_main_area .main_banner_wrap {
        background: url('/_skin/pass_sidae_renew/mobile/mock_test/main_banner_bg_mo.jpg') no-repeat center / 105.556vw auto;
    }

    .mock_main_area .main_banner_wrap .main_inner {
        aspect-ratio: 720/890;
    }

    .mock_main_area .main_banner_wrap .txt_wrap {
        padding-top: 15vw;
    }

    .mock_main_area .main_banner_wrap .txt_wrap h3 {
        line-height: 1.25;
        font-size: clamp(11px, 6.528vw, 4.7rem);
        font-family: 'market-l';
    }

    .mock_main_area .main_banner_wrap .txt_wrap h2 {
        position: relative;
        top: 0;
        line-height: 1.05;
        margin-top: 2.639vw;
        font-size: clamp(11px, 11.944vw, 8.6rem);
    }

    .mock_main_area .main_banner_wrap .txt_wrap p {
        line-height: 1.4;
        margin-top: 3.056vw;
        font-size: clamp(11px, 3.333vw, 2.4rem);
    }

    .mock_main_area .main_banner_wrap .search_area {
        margin-top: 9.861vw;
    }

    /* 배너 */
    .mock_main_area .banner_wrap {
        padding-top: 0;
    }

    .mock_main_area .banner_slide {
        width: 100vw;
        margin-left: -5.556vw;
    }

    .mock_main_area .banner_slide .btn_go {
        position: absolute;
        top: 37.361vw;
        right: auto;
        left: 10.417vw;
        width: 29.583vw;
        height: 9.444vw;
    }

    /* 과정 선택 */
    .mock_main_area .course_wrap {
        padding: 18.75vw var(--global-margin) 0;
    }

    .mock_main_area .course_header .btn_reset {
        height: clamp(22px, 5.729vw, 44px);
        padding: clamp(4px, 2.604vw, 20px);
        border-radius: clamp(22px, 5.729vw, 44px);
        font-size: clamp(11px, 2.347vw, 1.8rem);
    }

    .mock_main_area .course_item_wrap {
        margin-top: 9.444vw;
    }

    .mock_main_area .course_item {
        padding: 0.139vw 0 1.389vw;
        border-radius: 2.778vw;
    }

    .mock_main_area .course_item .course_title {
        margin: 0 3.333vw;
        padding: 2.361vw 0;
        border-bottom: 3px solid #000;
        font-size: clamp(11px, 3.056vw, 2.2rem);
    }

    .mock_main_area .course_item .course_list {
        gap: 2.5vw;
        height: calc(100% - 12.333vw);
        margin: 2.236vw 3.23vw 0 0;
        padding: 3.611vw 0;
    }

    .mock_main_area .course_item .course_list button {
        height: 6.389vw;
        padding-left: 8.889vw;
        border-radius: 6.389vw;
        font-size: clamp(11px, 2.5vw, 1.8rem);
    }

    .mock_main_area .course_item .course_list button::before {
        width: 4.167vw;
        height: 4.167vw;
    }

    .mock_main_area .course_item .course_list li {
        width: calc(100% - 10.278vw);
    }

    .mock_main_area .course_item .course_list label {
        height: 6.111vw;
        padding: 0 2.778vw;
        border-radius: 6.111vw;
        font-size: clamp(11px, 2.5vw, 1.8rem);
    }

    .mock_main_area .course_item .course_list label::after {
        right: 2.608vw;
        width: 2.608vw;
        height: 2.608vw;
        border-radius: 0.652vw;
    }

    .mock_main_area .course_item .course_list p {
        font-size: clamp(10px, 2vw, 1.5rem);
    }

    .mock_main_area .course_item .course_list label:hover,
    .mock_main_area .course_item .course_list label:focus,
    .mock_main_area .course_item .course_list input:checked + label {
        box-shadow: 0 0.833vw 2.5vw 0 rgba(253, 96, 96, 0.34);
    }

    .mock_main_area .course_item_1 {
        height: 10.139vw;
        padding: 0 5.556vw;
        border-radius: 2.778vw 2.778vw 0 0;
    }

    .mock_main_area .course_item_1 .course_list {
        gap: 6.944vw;
        height: 10.139vw;
        margin: 0;
        padding: 3.611vw 0;
        overflow-x: auto;
        white-space: nowrap;
        scroll-snap-type: x mandatory;
        -webkit-overflow-scrolling: touch;
        -ms-overflow-style: none;
    }

    .mock_main_area .course_item_1 .course_list button {
        padding: 0;
        font-size: clamp(11px, 2.778vw, 2rem);
    }

    .mock_main_area .course_item .course_list button::before {
        top: 0.278vw;
        left: 2.5vw;
        width: 5.972vw;
        height: 5.972vw;
        background-size: auto 100%;
    }

    .mock_main_area .course_item_2 {
        padding: 0;
        border-radius: 0 0 2.778vw 2.778vw;
    }

    .mock_main_area .course_item_2 .course_list {
        gap: 1.806vw;
        margin: 0;
        padding: 3.889vw 3.75vw 3.472vw;
        overflow-y: hidden;
        overflow-x: auto;
        white-space: nowrap;
    }

    .mock_main_area .course_item_2 .course_list button {
        padding: 0 5.694vw 0 8.75vw;
    }

    .mock_main_area .course_item_3 {
        height: 76.111vw;
        margin-top: 3.333vw;
    }

    .mock_main_area .course_item_3 .course_list li {
        width: calc(100% - 7.5vw);
    }

    .mock_main_area .course_item_wrap.is_fixed {
        padding-top: 24.444vw;
    }

    .mock_main_area .course_item_wrap.is_fixed .course_item_1,
    .mock_main_area .course_item_wrap.is_fixed .course_item_2 {
        position: fixed;
        left: 50%;
        transform: translate(-50%, 0);
        width: 88.889vw;
        z-index: var(--z-index-fixed);
    }

    .mock_main_area .course_item_wrap.is_fixed .course_item_1 {
        top: 12.639vw;
    }

    .mock_main_area .course_item_wrap.is_fixed .course_item_2 {
        top: 22.817vw;
    }

    /* 상품 목록 */
    .mock_main_area .product_wrap {
        padding: 20.694vw var(--global-margin) 0;
    }

    /* 상품 내역 */
    #main_modal_details .modal_content {
        height: calc(80dvh - max(26vw, 18dvh));
    }
}
